News Archive: Health IT

Alert! Meaningful Use Providers Must Upgrade Now


Physicians attesting for Meaningful Use Stage 1 or Stage 2 in 2015 must upgrade to the “ChartMaker 2016” version before December 29, 2015.


Note: If you have not yet upgraded to ChartMaker 2016, please refer to the To-Do List notification in ChartMaker Medical Suite for more information on how to proceed with the upgrade. Read More →